NCBI_SEARCH(1)

NAME
ncbi_search - visually comparing bacterial, plasmid, chloroplast, or mitochondrial sequences

DESCRIPTION

  USAGE:

    ncbi_search -q STRING -o FILE -d STRING -r STRING [Options]

  DESCRIPTION:

    Uses NCBI's eSearch to download collections of sequences.

  REQUIRED ARGUMENTS:

-q, --query [STRING]

    Raw query text.

-o, --output [FILE]

    Output file to create. If the split option is given, this should be a directory, where the returned records will be written. If the directory does not exist it will be created.

-d, --database [STRING]

    Name of the NCBI database to search, such as 'nucleotide', 'protein', or 'gene'.

-r, --return_type [STRING]

    The type of information requested. For sequences 'fasta' is often used. The accepted formats vary depending on the database being queried.

-s, --split

    Return each record as a separate file where the file name will will be the accesssion id of the record. This option only works if the return_type is 'gb' or 'gbwithparts'.

-m, --max_records [INTEGER]

    The maximum number of records to return (default is to return all matches satisfying the query).

-v, --verbose

    Provide progress messages.

-h, --help

    Show this message.

  EXAMPLE:

    ncbi_search -q 'dysphagia AND homo sapiens[ORGN]' \

-o results.txt -d pubmed -r uilist -m 100

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.